-remove debug message
[oweals/gnunet.git] / src / gns / test_gns_quickupdate.sh
1 #!/bin/sh
2 # This file is in the public domain.
3 trap "gnunet-arm -e -c test_gns_lookup.conf" INT
4
5 LOCATION=$(which gnunet-config)
6 if [ -z $LOCATION ]
7 then
8   LOCATION="gnunet-config"
9 fi
10 $LOCATION --version 1> /dev/null
11 if test $? != 0
12 then
13         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
14         exit 77
15 fi
16
17 MY_EGO="myego"
18 OTHER_EGO="delegatedego"
19
20
21 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
22 which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 5"
23 TEST_IP="127.0.0.1"
24 gnunet-arm -s -c test_gns_lookup.conf
25 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
26 gnunet-identity -C $OTHER_EGO -c test_gns_lookup.conf
27 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep $OTHER_EGO | awk '{print $3}')
28 gnunet-arm -i gns -c test_gns_lookup.conf
29 gnunet-namestore -p -z $MY_EGO -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
30 # Give GNS/namestore time to fully start and finish initial iteration
31 sleep 2
32 # Performing namestore update
33 gnunet-namestore -p -z $OTHER_EGO -a -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
34 # Give GNS chance to observe store event via monitor
35 sleep 1
36 gnunet-namestore -z $OTHER_EGO -d -n www -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
37 # give GNS chance to process monitor event
38 sleep 1
39 # stop everything and restart to check that DHT PUT did happen
40 gnunet-arm -k gns -c test_gns_lookup.conf
41 gnunet-arm -k namestore -c test_gns_lookup.conf
42 gnunet-arm -k namecache -c test_gns_lookup.conf
43 gnunet-arm -k zonemaster -c test_gns_lookup.conf
44 # Purge nameacache, as we might otherwise fetch from there
45 # FIXME: testcase started failing after the line below was fixed by adding '-f',
46 # might have never worked (!)
47 rm -r `gnunet-config -f -c test_gns_lookup.conf -s namecache-sqlite -o FILENAME`
48 gnunet-arm -i namestore -c test_gns_lookup.conf
49 gnunet-arm -i namecache -c test_gns_lookup.conf
50 gnunet-arm -i zonemaster -c test_gns_lookup.conf
51 gnunet-arm -i gns -c test_gns_lookup.conf
52 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u www.b.$MY_EGO -t A -c test_gns_lookup.conf`
53 gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
54 gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
55 gnunet-identity -D $OTHER_EGO -c test_gns_lookup.conf
56 gnunet-arm -e -c test_gns_lookup.conf
57 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
58
59 if [ "$RES_IP" = "$TEST_IP" ]
60 then
61   exit 0
62 else
63   echo "Failed to properly resolve IP, expected $TEST_IP, got $RES_IP."
64   exit 1
65 fi